[Overview][Classes][Index] | Reference for unit 'elfreader' (#fcl-res)

# EElfResourceReaderUnknownClassException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Unknown ELF class error

## Declaration

Source position: elfreader.pp line 27

`type EElfResourceReaderUnknownClassException = class(EElfResourceReaderException)`

## Inheritance

`EElfResourceReaderUnknownClassException` |  | Unknown ELF class error
`EElfResourceReaderException` |  | Base class for elf resource reader-related exceptions
`EResourceReaderException` |  | Base class for resource reader-related exceptions
`EResourceException` |  | Base class for resource-related exceptions
`Exception`
`TObject`

## Description

This exception is raised by Load method of TElfResourceReader when class field of ELF header is neither ELFCLASS32 nor ELFCLASS64.